"use client";
import { StyledLabelStrong, getPropDefaults } from "./base/LabelStrong.js";
import { toReactNodes } from "../../utils/toReactNodes/toReactNodes.js";
import { jsx } from "@emotion/react/jsx-runtime";
//#region src/components/typography/LabelStrong.tsx
function LabelStrong(props) {
	const propsWithDefaults = getPropDefaults(props);
	let reactNodes = props.children || null;
	if (props.content) reactNodes = toReactNodes(props.content);
	return /* @__PURE__ */ jsx(StyledLabelStrong, {
		...propsWithDefaults,
		children: reactNodes
	});
}
//#endregion
export { LabelStrong };
